﻿using System;

namespace RipSync.Plugins.Extensions.UST {

    [Serializable]
    public class TempoTableEntry : IComparable<TempoTableEntry>, ICloneable {
        private int m_clock;
        private int m_tempo;
        private double m_time;

        public int Tempo {
            get {
                return m_tempo;
            }
            set {
                m_tempo = value;
            }
        }


        public double Time {
            get {
                return m_time;
            }
            set {
                m_time = value;
            }
        }


        public int Clock {
            get {
                return m_clock;
            }
            set {
                m_clock = value;
            }
        }


        public object Clone() {
            return new TempoTableEntry( Clock, Tempo, Time );
        }


        public TempoTableEntry( int clock, int _tempo, double _time ) {
            this.Clock = clock;
            this.Tempo = _tempo;
            this.Time = _time;
        }


        public int CompareTo( TempoTableEntry entry ) {
            return this.Clock - entry.Clock;
        }


        public bool Equals( TempoTableEntry entry ) {
            if ( this.Clock == entry.Clock ) {
                return true;
            } else {
                return false;
            }
        }
    }

}
