﻿using System;
using System.IO;
using System.Windows.Forms;

namespace RipSync.Plugins.Extensions.UST {

    public partial class USTFormSelect : Form {
        public USTFormSelect( string path ) {
            InitializeComponent();
            txtUstFile.Text = path;
            if ( path != "" ) {
                openUstDialog.InitialDirectory = Path.GetDirectoryName( path );
                openUstDialog.FileName = path;
                btnOk.Enabled = File.Exists( path );
            } else {
                string last_path = Config.GetIncetance().FilePath;
                Console.WriteLine( "USTFormSelect..ctor" );
                Console.WriteLine( "    last_path=" + last_path );
                if ( last_path != "" && Directory.Exists( last_path ) ) {
                    openUstDialog.InitialDirectory = last_path;
                }
            }
        }

        public string FileName {
            get {
                return txtUstFile.Text;
            }
        }

        public string TableName {
            get {
                return txtTableName.Text;
            }
            set {
                txtTableName.Text = value;
            }
        }

        private void btnBrowse_Click( object sender, EventArgs e ) {
            if ( openUstDialog.ShowDialog() != DialogResult.OK ) {
                return;
            }
            Config.GetIncetance().FilePath = Path.GetDirectoryName( openUstDialog.FileName );
            txtUstFile.Text = openUstDialog.FileName;
            txtTableName.Text = Managers.ApplicationManager.GetInstance().TimeTableManager.GetNewName( Path.GetFileNameWithoutExtension( openUstDialog.FileName ) );
            btnOk.Enabled = true;
        }
    }

}
